# studio::Dock_CanvasSpecific Class Reference

`#include <dock_canvasspecific.h>`

Inheritance diagram for studio::Dock_CanvasSpecific:

List of all members.

## Public Member Functions

etl::loose_handle < studio::CanvasView > | get_canvas_view ()
etl::loose_handle < synfigapp::CanvasInterface > | get_canvas_interface ()
| Dock_CanvasSpecific (const synfig::String &name, const synfig::String &local_name, Gtk::StockID stock_id_=Gtk::StockID(" "))
virtual | ~Dock_CanvasSpecific ()

## Protected Member Functions

virtual void | init_instance_vfunc (etl::loose_handle< Instance > instance)
virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_CanvasSpecific::Dock_CanvasSpecific | ( | const synfig::String & | name,
|  | const synfig::String & | local_name,
|  | Gtk::StockID | stock_id_ = `Gtk::StockID(" ")` |
| ) |  |  |

References studio::App::signal_instance_created().

Dock_CanvasSpecific::~Dock_CanvasSpecific | ( |  | ) | `[virtual]`

## Member Function Documentation

void Dock_CanvasSpecific::init_instance_vfunc | ( | etl::loose_handle< Instance > | instance | ) | `[protected, virtual]`

Reimplemented in studio::Dock_History.

void Dock_CanvasSpecific::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented in studio::Dock_Children, studio::Dock_Curves, studio::Dock_Keyframes, studio::Dock_LayerGroups, studio::Dock_Layers, studio::Dock_MetaData, studio::Dock_Params, and studio::Dock_Timetrack.

void Dock_CanvasSpecific::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented in studio::Dock_Children, studio::Dock_Curves, studio::Dock_Info, studio::Dock_Keyframes, studio::Dock_LayerGroups, studio::Dock_Layers, studio::Dock_MetaData, studio::Dock_Navigator, studio::Dock_Params, and studio::Dock_Timetrack.

etl::loose_handle< studio::CanvasView > Dock_CanvasSpecific::get_canvas_view | ( |  | ) |

References studio::App::get_selected_canvas_view().

Referenced by studio::Dock_Info::changed_canvas_view_vfunc(), get_canvas_interface(), and studio::Dock_Params::refresh_selected_param().

etl::loose_handle< synfigapp::CanvasInterface > Dock_CanvasSpecific::get_canvas_interface | ( |  | ) |

References get_canvas_view().

The documentation for this class was generated from the following files:

- dock_canvasspecific.h
- dock_canvasspecific.cpp